<?php
/**
 * minimalblog Featured Layout One
 *
 * @package minimalblog
 */
$get_featured_categories = get_theme_mod( 'featured_categories' );
$featured_categories = '';
if ( ! empty( $get_featured_categories ) ) {
	$featured_categories = implode( ',', $get_featured_categories );
}
$getpostcount = get_theme_mod( 'featured_post_per_page', 4 );
$fulid = get_theme_mod( 'featured_section_fulid', false );
$container_class = ( $fulid == true ? 'container-fuild' : 'container' );
$get_read_more_text = get_theme_mod( 'featured_read_more_text', __( 'Read More', 'minimalblog' ) );

?>
<div class="featured-area">
	<div class="<?php echo esc_attr( $container_class ); ?>">
		<div class="featured-main-slider owl-carousel">
			<?php
				$featuredblocks = new WP_Query(
					array(
						'post_type' => array( 'post' ),
						'posts_per_page'    => $getpostcount,
						'cat' => $featured_categories,
						'ignore_sticky_posts' => 1,
					)
				);
				while ( $featuredblocks->have_posts() ) :
					$featuredblocks->the_post();
					$nothumbclass = ( has_post_thumbnail() ? '' : ' nothumb' );
					?>
					<div class="featured-slider-item">
						<div class="blog-single-featured-block">
							<?php if ( has_post_thumbnail() ) : ?>
								<a href="<?php the_permalink(); ?>">
									<div class="post-thumnail">
										<?php the_post_thumbnail( 'minimalblog-blog-thumb' ); ?>						
									</div>
								</a>
							<?php endif; ?>
							<div class="post-description<?php echo esc_attr( $nothumbclass ); ?> text-<?php echo esc_attr( get_theme_mod( 'featured_align', 'left' ) ); ?>">
								<div class="category-links mb-3 mt-0">
									<?php
									$categories_list = get_the_category_list( esc_html__( ', ', 'minimalblog' ) );
									if ( $categories_list ) {
										/* translators: 1: list of categories. */
										printf( '<span class="cat-links">' . __( 'Posted in %1$s', 'minimalblog' ) . '</span>', $categories_list ); // WPCS: XSS OK.
									}
									?>
								</div>
								<a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
								<a href="<?php the_permalink(); ?>" class="btn btn-warning"><?php echo esc_html( $get_read_more_text ); ?> </a>
							</div>
						</div>
					</div>
					<?php
			endwhile;
			wp_reset_postdata();
			?>
		</div>
	</div>
</div>
